### Method

# FwupdPlugin UsbInterface get_protocol

since: 2.0.0

#### Declaration [src]

    guint8
    fu_usb_interface_get_protocol (
      FuUsbInterface* self
    )

#### Description [src]

Gets the interface protocol qualified by the class and subclass numbers. See `fu_usb_interface_get_class()` and fu_usb_interface_get_subclass().

Available since: 2.0.0

#### Return value

Type: `guint8`

A interface protocol number.